• QT broke


    So, I’ve updated QT5 a few days ago (last friday or saturday) and since then every QT software crashes on open (I do see the icon on Plank but short after it goes away).
    I’m not home right now but opening software on the terminal I get a QT version error.

    Real question:
    Is there a fix or should I rollback to the previous version (and how do I do it?)?

    I don’t have that many QT apps but one (Albert) I really miss.

    Thanks!

  • @joaojotta Hi - I hope this more helpful than a hindrance.

    I have just a fresh install and my Qt version is 5.8.0 and my Kernel is 4.9.6-1
    To my knowledge the only prog that needs QT is Virtualbox and for that I had to
    to install QT5-extras otherwise it would crash.

    As I said Joaojotta. I hope it helps or perhaps will point you in the right direction!

    Best Wishes - Steve

  • Yes, one of the qt packages that were published about two days ago was broken. Digikam, QMapShack and some other SW reported an error. But, as this is Arch, the patch that came out yesterday fixed everything. Should be the same for you.

  • Yes! It’s finally working!
    It’s this little things that get on my nerve.
    I know this is usually fixed very quickly but I can’t help it (I got issues).

    I think I’ll start updating only when a new ISO refresh comes out.
    In theory it should outcome in a more stable solution, not?

  • @joaojotta Hello my friend. My apologies for not replying earlier!
    Thank you for your helpfull contribution, and I am pleased you have sorted out this out.
    I will add your notes to my installtion guide for future reference. Best Wishes - Steve

  • @Cenobite By all means! No problem at all! (;

broke11 Posts 6Views 464
Log in to reply